void assert_switch(const RPG::ParsedCommentParameter* arg);
void assert_variable(const RPG::ParsedCommentParameter* arg);

std::string getSwitchOp(int x){
    switch( x ){
    case 0:
        return "ON ";
    case 1:
        return "OFF ";
    case 2:
        return "ON/OFF ";
    default:
        return "Error";
    }
}

std::string varOp(int x){
    switch( x ){
    case 0:
        return " = ";
    case 1:
        return " + ";
    case 2:
        return " - ";
    case 3:
        return " * ";
    case 4:
        return " / ";
    case 5:
        return " mod ";
    default:
        return "Error";
    }
}

std::string varHero(int x){
    switch( x ){
    case 0:
        return "Level";
    case 1:
        return "Experience";
    case 2:
        return "HP";
    case 3:
        return "MP";
    case 4:
        return "Maximum HP";
    case 5:
        return "Maximum MP";
    case 6:
        return "Attack";
    case 7:
        return "Defense";
    case 8:
        return "Intelligence";
    case 9:
        return "Agility";
    case 10:
        return "Weapon ID";
    case 11:
        return "Shield ID";
    case 12:
        return "Armor ID";
    case 13:
        return "Helmet ID";
    case 14:
        return "Accessory ID";
    default:
        return "Error";
    }
}

std::string varSprite(int x)
{
    switch( x ){
    case 10001:
        return "Hero";
    case 10002:
        return "Skiff";
    case 10003:
        return "Ship";
    case 10004:
        return "Airship";
    default:
        return "Error";
    }
}

std::string varSpriteOp(int x)
{
    switch( x ){
    case 0:
        return "Map ID";
    case 1:
        return "X Coordinate";
    case 2:
        return "Y Coordinate";
    case 3:
        return "Facing";
    case 4:
        return "Screen-Relative X";
    case 5:
        return "Screen-Relative Y";
    default:
        return "Error";
    }
}

std::string varOther(int x)
{
    switch( x ){
    case 0:
        return "Money";
    case 1:
        return "Timer 1 Seconds";
    case 2:
        return "Timer 2 Seconds";
    case 3:
        return "Size of Party";
    case 4:
        return "Number of Saves";
    case 5:
        return "Number of Battles";
    case 6:
        return "Number of Victories";
    case 7:
        return "Number of Defeats";
    case 8:
        return "Number of Escapes";
    case 9:
        return "MIDI Ticks";
    default:
        return "Error";
    }
}
